edu.wpi.first.wpilibj.hal

## Class PortsJNI

- java.lang.Object
- - edu.wpi.first.wpilibj.hal.JNIWrapper
  - - edu.wpi.first.wpilibj.hal.PortsJNI

-     public class PortsJNI
      extends JNIWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PortsJNI()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getNumAccumulators()`
    `static int` | `getNumAnalogInputs()`
    `static int` | `getNumAnalogOutputs()`
    `static int` | `getNumAnalogTriggers()`
    `static int` | `getNumCounters()`
    `static int` | `getNumDigitalChannels()`
    `static int` | `getNumDigitalHeaders()`
    `static int` | `getNumDigitalPWMOutputs()`
    `static int` | `getNumEncoders()`
    `static int` | `getNumInterrupts()`
    `static int` | `getNumPCMModules()`
    `static int` | `getNumPDPChannels()`
    `static int` | `getNumPDPModules()`
    `static int` | `getNumPWMChannels()`
    `static int` | `getNumPWMHeaders()`
    `static int` | `getNumRelayChannels()`
    `static int` | `getNumRelayHeaders()`
    `static int` | `getNumSolenoidChannels()`

    - ### Methods inherited from class edu.wpi.first.wpilibj.hal.JNIWrapper

      `getPort, getPortWithModule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PortsJNI

          public PortsJNI()

  - ### Method Detail

    - #### getNumAccumulators

          public static int getNumAccumulators()

    - #### getNumAnalogTriggers

          public static int getNumAnalogTriggers()

    - #### getNumAnalogInputs

          public static int getNumAnalogInputs()

    - #### getNumAnalogOutputs

          public static int getNumAnalogOutputs()

    - #### getNumCounters

          public static int getNumCounters()

    - #### getNumDigitalHeaders

          public static int getNumDigitalHeaders()

    - #### getNumPWMHeaders

          public static int getNumPWMHeaders()

    - #### getNumDigitalChannels

          public static int getNumDigitalChannels()

    - #### getNumPWMChannels

          public static int getNumPWMChannels()

    - #### getNumDigitalPWMOutputs

          public static int getNumDigitalPWMOutputs()

    - #### getNumEncoders

          public static int getNumEncoders()

    - #### getNumInterrupts

          public static int getNumInterrupts()

    - #### getNumRelayChannels

          public static int getNumRelayChannels()

    - #### getNumRelayHeaders

          public static int getNumRelayHeaders()

    - #### getNumPCMModules

          public static int getNumPCMModules()

    - #### getNumSolenoidChannels

          public static int getNumSolenoidChannels()

    - #### getNumPDPModules

          public static int getNumPDPModules()

    - #### getNumPDPChannels

          public static int getNumPDPChannels()